@echo off

echo SUBST drives o: and p:
subst p: \\hades\p
subst o: \\calculon\o

rem CUSTOM_VARIABLES
set NUKE_INSTALL_PATH=C:\Program Files\Nuke%NUKE_VER%
set NUKE_PLUGINS=%NUKE_PATH%
set OFX_PLUGIN_PATH=%NUKE_PATH%\ofx
rem set OCIO=\\hades\p\env\ocio\aces_1.0.3\config.ocio

rem Licensing
set foundry_LICENSE=5053@192.168.0.223
set peregrinel_LICENSE=5053@192.168.0.223
set keller_LICENSE=5053@192.168.0.223
set QUALM_LICENSE=\\hades\p\env\qualm\licenses

rem Disable Stuff
set FN_NUKE_DISABLE_GPU_ACCELERATION=1
set FN_DISABLE_LICENSE_DIALOG=1

@call :GetGuid NewGuid
@set GUID=%NewGuid%
@echo %NewGuid%

set NUKE_TEMP_DIR_BASE=c:\tempnuke
mkdir %NUKE_TEMP_DIR_BASE%
set NUKE_TEMP_DIR=%NUKE_TEMP_DIR_BASE%\%GUID%
@echo %NUKE_TEMP_DIR%

"\\hades\p\env\nuke\_run\Nuke\Nuke12.2v5\Nuke12.2.exe" -V 2 %*

rmdir /q /s %NUKE_TEMP_DIR%

@goto :eof

:GetGuid
 @set _guid=%computername%%date%%time%
 @set _guid=%_guid:/=%
 @set _guid=%_guid:.=%
 @set _guid=%_guid: =%
 @set _guid=%_guid:,=%
 @set _guid=%_guid::=%
 @set _guid=%_guid:-=%
 @set %1=%_guid%
